Thursday, August 4, 2011

Plugin List

NOTICE: All plugins have been updated so that they all appear under SDM Tools on the plugins menu.  There are 4 sub menus Edge,Face,CorG,and Misc which contain the plugins that use or create that type of entity.

All plugins have been tested for SU2014 compatibility.

If you don't find what you are looking for, leave a comment  or email me at pluginsbysdmitch@gmail.com 

Add&Align Component - Component origin at 1st pt and aligned with 2nd. plugin tutorial
Add Terrain Skirt - Adds a skirt around a Google Earth terrain patch. plugin tutorial
AddCtrPoint - Adds a construction point at the center of face or arc. plugin tutorial
AddFace - Adds a square or circular face to the end of selected edges. plugin
AddPts2Curve - Adds vertices to selected curve at given interval. plugin tutorial
AddVertex - Allows you to add a vertex to any segment of an existing curve. plugin tutorial
Align&Distribute - Align and space selected objects along an axis.  plugin  tutorial
ANSI Sprocket - Creates standard ANSI sprocket + bicycle,motorcycle.  plugin tutorial
Arc Tools - Create arcs and circles by various means.  plugin tutorial
AutoComponentSelection - Select components in array by edge,face,or view plugin tutorial
Auto Layout - Layout parts on a sheet of material. rbz gif
Base or Column - Create Roman column base or column.  plugin tutorial
Bevel Maker - Creates a beveled edge on selected faces.  plugin tutorial
Bird Mouth Rafter - Create a template or finished bird mouth rafter.  plugin  tutorial
Bolt Maker - Add nut and bolt detail to components and or groups. plugin tutorial
Bulk Copy by Version - Make copies in other Sketchup Versions. rbz gif
CameraPath - Does a fly through following a selected path. plugin tutorial
Clip or Trim Terrain Mesh - Clip or trim a Google Earth terrain patch. plugin tutorial
ColorBy - Colors faces according to their direction,slope,layer, or plane. plugin tutorial
CommonEdge - Soften or remove edge between faces with same material. plugin tutorial
Comp String - Creates a component string along a selected path. plugin tutorial
Component Array - Create an array of given component. plugin tutorial
Component Check - Check for over-lap of given component removes one. plugin tutorial
Component2Layer - Creates layer and moves component to it.  plugin
Component by Proxy - Creates simple replacements for complex components plugin tutorial
Component on Face - Interactively place component perpendicular to face plugin tutorial
ComponentReplacement - Replace "target" with "source" random/seqential. plugin tutorial
Compound Miter Saw - Set cutting angle and blade tilt.  plugin  tutorial
Component Unlock_Relock - Unlocks and relocks selected component. plugin tutorial
Connect Guide Points - Add line segments between guide points. plugin tutorial
Copy and Rotate - Copies and rotates selected component or group.  plugin tutorial
CSV_Import - Imports point data from a comma seperated values file. plugin tutorial
Dashed Line - Create dashed line using colored faces of given size/spacing. plugin tutorial
Deck Builder - Create deck with railing and steps from a face.  plugin tutorial
DivideByMaterial - Divides faces with selected material. plugin tutorial
Double Line - Dynamically create right/left offset lines of the defined line. plugin tutorial
Double Line Plus - Allows different radii for internal and external fillets.  plugin
Draped Edges - Helps select edges draped onto a TIN.  plugin tutorial
Edge Follow Me - Like Sketchup's FollowMe but with an edge. plugin tutorial
Edge To Tube - My version of Lines2Tubes with few additions. plugin tutorial
Engraver - Makes sign with engraved lettering.  plugin  tutorial
EqSegCurve - Create curve with equal length segments by number or length. plugin
ExplodeAll - Explodes all components or groups in the selection or model.  plugin
Face 2 Frame - Create stud walls from faces.  plugin  tutorial
Fillet3D - Creates a fillet of given radius at the intersection of two edges. plugin tutorial
Fixed Area - Change the dimensions of a rectangle and keep area. plugin tutorial
FloorGenerator - Brick, Tweed, Herringbone, Tile and Wood patterns. plugin tutorial
FloorPlan - Produces 2D floorplan for selected single story home or building. plugin tutorial
FloorSpace - Estimates the floorspace in selected building. plugin tutorial
Follow Me Helix - Wraps a helix around selected centerline. plugin tutorial
Generate Ceiling Tile Grid - Generates a suspended ceiling "T" grid and tiles. plugin tutorial
Hide Edges - Hide/Show all edges in selection or model. plugin tutorial
HoleInTheWall - Creates circular, rectangular, or polygon shaped holes.  plugin tutorial
Honey Comb - Create 3,4, or 6 sided types of "honeycomb".  plugin tutorial
Image2Component - Batch process of images to components.  plugin tutorial
Label Material - Adds material name and area to face. plugin tutorial
Lattice Creator - Create a lattice of given dimensions and material size. plugin tutorial
Match Material - Matches front/back material if either has none.  plugin
MeshMaker - Creates a regular triangulated network on selected face. plugin tutorial
Move2Elev - Moves all connected edges to a given Z. plugin tutorial
Multi_Offset_Tool - Offset Tool with Nx copy and /N division capability. plugin tutorial
Multiple Offsets - Create multiple offsets inside or outside selected face.  plugin tutorial
Offset Edge - Create offset of edge at given distance or defined point. plugin tutorial
Oval - Creates an Oval with given length axes at the model origin. plugin tutorial
Panelization - Panel objects on to surface or faces.  plugin  tutorial
Peg Maker - Like Bolt Maker only for wooden pegs and plugs. plugin
PlaceOrient3dText - Add 3d text always face camera component. plugin  tutorial
PolygonMaker - Create polygon of given number/length of side/apothem. plugin tutorial
PolyLine - Creates a polyline/curve with or without spline smoothing. plugin tutorial
Project Beam - Creates a beam from a face of defined length and direction.  plugin tutorial
RandomComponentPlacement - Randomly place components on face. plugin tutorial
Random Rotation - Randomly rotate components/groups.  plugin tutorial
RemoveVertex - Allows you to remove a vertex from an existing curve. plugin tutorial
Reset Component Origin - Permanantly change the origin of component.  plugin
Resize and Rename - Permanently change the size of a component. plugin tutorial
Rotate&Scale - Rotate and/or scale selected groups or components.  plugin tutorial
Rotated Box - Create a box in four clicks.  Rotated Rectangle goes 3d. plugin tutorial
Rotated Circle/Cylinder - Create rotated circles or cylinders in 3 clicks. plugin tutorial
RoundCornerRectangle - Create rectangle with rounded corners. plugin tutorial
Safety Railing - Create tubular railings along a pre-defined path.  plugin tutorial
Scale/Align Component - Places Component by direction and x_scale plugin tutorial
Set Face Area - Interactive tool to display/change face area.  plugin tutorial
Scale Reset - Return components and groups to original size.  plugin  tutorial
Scene Finder - Scene filter for models with lots of scenes. plugin tutorial
Scene Manager - Save/restore component/group locations.  plugin  tutorial
Screened Inclosure - Create a screened inclosure from a face plugin tutorial
Select By Attribute - Select entities by associated attributes plugin tutorial
Select By Material - Select or hide entities by CURRENT material.  plugin tutorial
Select by Polygon - Selects entities within a defined polygon.  plugin tutorial
SelectFacesByArea - Select faces by area using input parameters. plugin tutorial
Sheet Metal Bender - Add "bends" to "sheet metal" plugin
Shortest Path - Find the shortest path between two nodes.  plugin  tutorial
Snap2Grid - Moves vertices and component/group origin to 3d grid.  plugin
SnapPoint - Puts construction pt on edge at given distance from point. plugin tutorial
Spin_It - Rotates current view or select components/groups.  plugin
Spline Fit - Creates a spline curve from selected connected edges. plugin tutorial
Stair Maker - Create simple straight, spiral and u-shaped stairs. plugin tutorial
Steping Stones - Creates "steping stones" of given size/spacing along path. plugin tutorial
Sub Divide - Divide parcel into equal lots.  plugin tutorial
Tangent Points - Calculate and identify tangent point on arcs or circles.  plugin tutorial
Terrain Tools - Add skirt, clip or trim, and label high low all in one.  plugin
TriangleBySides - Creates a triangle with given length of sides. plugin tutorial
VolumeBySlice - Compute the volume by slices of input thickness. plugin tutorial

96 comments:

  1. This comment has been removed by a blog administrator.

    ReplyDelete
  2. I noticed in some of your demonstration videos that you have a menu> Plugins>"Edge Tools"; which I cannot find. It seems ThomThom did a menu (with that title) which appears under the "Tools" menu, but I am wondering how you grouped your tools in the Plugins menu.

    ReplyDelete
    Replies
    1. Whether something appears in the Tools menu or Plugins menu is up to the creator. It is only a matter of specifying which menu you want the plugin to appear in otherwise there is no difference.

      Delete
  3. This is a great blog, Thank you for sharing Mitch. I was wondering if would be possible in the future to add Square Lattice effect option to the Lattice effect Plug-in?

    ReplyDelete
    Replies
    1. Greg, Check out the revised Lattice Creator. I hope I guessed right as to what you wanted.

      Delete
    2. Thanks! I will check it out! Happy Easter!

      Delete
  4. sdmitch: many thanks for this super useful and growing collection, aptly named and nicely explained with the tuts. I noticed you had folders in your plugin folder, e.g., 'edge tools'. Quite sensible and handy, but maybe too easy. I'll see if I can do that the easy way...

    ReplyDelete
    Replies
    1. No, I couldn't do it the easy way.

      Delete
    2. To clarify, as I see there is a similar comment above. The 'edge tools' folder in question is not thomthom's but yours, from which you access 'double line' and 'dashed line', I think, in the tuts. This folder was not created as a part of the plugin installation, but rather one which you have created separately. How, and can you make a plugin for plugin folder creation, please?

      Delete
    3. In order to better organize my plugins menu, I copied all the plugins of mine that deal with edges into a single file that I called Edge Tools which creates a sub-menu to list the various plugins contained. I did the same for Arcs and Faces.

      Delete
  5. Copy all into a single file I might be able to handle, if there are no tricks involved. 'Create a sub-menu' is another matter. If and when you want to explain how to do this, I'm all ears.

    ReplyDelete
  6. Remove the Plugins menu references from the files that you copy to the new file. Add something like this to the new file.

    if !file_loaded?(File.basename(__FILE__))
    submenu=UI.menu("plugins").add_submenu("Edge Tools")
    submenu.add_item("Dashed Line ") { Sketchup.active_model.select_tool Dashed_Line.new }
    submenu.add_item("Double Line ") { Sketchup.active_model.select_tool Double_Line.new }
    file_loaded(File.basename(__FILE__))
    end

    ReplyDelete
  7. This comment has been removed by the author.

    ReplyDelete
  8. Had a lot of trouble doing engraving, until I found your plugin, which has helped me a lot. Even then, there were a couple of problems. It kept saying that the text wouldn't fit on the face in my model, when it would. Got around this, by creating it on another larger model and then copying and pasting it.

    The second problem was that when height was 3mm and depth 2mm, it embossed as well as engraved. Got around this by working on my larger model, shrinking it and then copy and pasting.

    Last problem which I haven't got a work around for yet, was that the copyright symbol was not engraved correctly. It just appears as a circular hole without a C inside it.#

    Thought you might like to know of these few problems, to improve the plugin.


    Phil Tarr

    (p.tarr@gold.ac.uk)

    ReplyDelete
  9. Phil,

    Since the width of the letter is assummed to be the same as the height, it could be the width of the face that is belived to be to small

    Not able to duplicate the problem with the 3mm text and 2mm depth.

    The copyright symbol is in essecence a letter inside a letter which is at least part of the problem. I get the circle engraved with the outline of the "C" inside it which can be pushpulled to the desired depth.

    ReplyDelete
  10. Thanks,

    I have fixed the problem with the copyright symbol, so now have work arounds for all the problems.

    Phil

    ReplyDelete
  11. great post. I was looking for Bevel marker plugin. the tutorial is great

    ReplyDelete
  12. An impressive array of simple but sublimely elegant tools

    ReplyDelete
  13. Double Line Plus Plug difficult to capture points, or vertically or horizontally,

    ReplyDelete
  14. I tried to use Generate Ceiling Tile Grid in SU2014 and get errors. Any ideas how to fix?

    ReplyDelete
    Replies
    1. I tested all posted plugins, including Generate Ceiling Tile Grid, using SU2014 and found no problem. Open the Ruby Console window before running the plugin to see what and where the errors or occuring.

      Delete
    2. A new version was uploaded on 9-Feb-2014, so get a new copy if yours is older.

      Delete
  15. I downloaded what I think the is the most current copy of Generate_Ceiling_Grid_v6.rbz from the list on your blog. Here is the error that shows up in the Ruby Console:

    C:/Users/brentd/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/Generate Ceiling Grid.rb:84: warning: else without rescue is useless
    Load error:
    Error: #
    C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/sketchup.rb:85:in `require'
    C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/sketchup.rb:85:in `block in require_all'
    C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/sketchup.rb:85:in `each'
    C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/sketchup.rb:85:in `require_all'
    eval:1:in `'

    ReplyDelete
  16. Never mind, I got it working! Thanks!

    ReplyDelete
    Replies
    1. The copy you have came from the PluginStore. Thanks for the info. I have made the necessary code corrections to make it SU2014 compatible.

      Delete
  17. This comment has been removed by the author.

    ReplyDelete
  18. Hi Mitch! First of all thank you for this wonderful set of plugins! Most of them are a real must, and have speed up my workflow a lot! I tried to install your panelization plugin too, but I get this error message:

    Error Loading File Panelization.rb
    Error:
    # SyntaxError: C:/Users/Pibuz/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/Panelization.rb:81: syntax error, unexpected ':', expecting keyword_then or ',' or ';' or '\n'
    when "Faces" : self.on_Faces(best,@surface,@@gap)

    ^
    C:/Users/Pibuz/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/Panelization.rb:82: syntax error, unexpected keyword_when, expecting keyword_end
    when "Surface" : self.on_Surface(best,@surface,@pq,@@gap)

    ^
    C:/Users/Pibuz/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/Panelization.rb:82: syntax error, unexpected ':', expecting keyword_end
    when "Surface" : self.on_Surface(best,@surface,@pq,@@gap)

    ^
    C:/Users/Pibuz/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/Panelization.rb:316: syntax error, unexpected keyword_end, expecting end-of-input>"

    I can solve this?


    I wanted to make a request also, if I can: I'm actually fond of your brick, tile and wood plank generator. Would it be possible to implement some more patterns, mostly for the wood option? Parquet floors are very common and your plugin has the potential to achieve a very wide range of results!

    Thanks in advance!!

    ReplyDelete
  19. I thought I had gone through all the plugins here and updated them to be SU 2014 compatible but apparently I missed this one. It has been fixed so download a new copy.

    ReplyDelete
  20. Replies
    1. There will be updates to Tile&Brick but just what patterns will be added is still unknown at this time.

      Delete
  21. Hi
    I'm getting this error on Rotated_Box.rb
    Error: #>
    Can you help me?

    ReplyDelete
    Replies
    1. Error: #NoMethodError: undefined method `increment_state' for #<SDM::Rotated_Box:0xe9f2308

      Delete
    2. It seems that when I recently updated the plugin to use a WebDialog interface, I screwed up the ability to enter width,depth and height. I have corrected the mistake I think so download a new copy.

      Delete
  22. Hi Sdmitch,

    thank you so much for your wonderful plugins. Some of them are even become my favorite plugins, such as Spline Fit and EqSegCurve....But unfortunately the EqSegCurve plugin doesnt work in sketchup 2014. I would be very grateful if you can fix this problem.

    ReplyDelete
  23. EqSegCurve was updated and tested in SU2014 last February. If your version is older that that, please download a new copy.

    ReplyDelete
    Replies
    1. Thanks a lot! It works now!
      It's a pity that the hole in the wall plugin only works when the drawn rectagular or polygon is completely inside a wall. (It doesnt work when one side of the rectagular is the border of a wall, such as a hole for a door )

      Delete
  24. It's a pity that the hole in the wall plugin only works when the drawn rectagular or polygon is completely inside a wall. (It doesnt work when one side of the rectagular is the border of a wall, such as a hole for a door )

    ReplyDelete
  25. I am exploring this possibility but it is far harder to do than it would appear. I would highly recommend Fredo6's VisuHole plugin for this situation. It seems to be able to create openings in anything.

    ReplyDelete
  26. What a fabulous blog. Thanks.
    I am trying to model a spur gear with a screwed bore (M14x1.0)
    Could this be achieved using boltmaker?

    ReplyDelete
    Replies
    1. No but maybe this plugin will.

      http://sketchucation.com/forums/viewtopic.php?f=323&t=61557

      Delete
    2. Thanks. Looks like this plugin will do what I want. I'll be trying this out when I have a bit of spare time.
      I'll be using OSX but noticed a few potential issues mentioned by other posters.
      There's nothing like a good challenge:)

      Delete
  27. This comment has been removed by the author.

    ReplyDelete
  28. Hi
    I was wondering if you might be able to explain how to use your face2frame plugin a little more? When you frame a face with your plugin you are given 2 corners...one on each end of the wall. When you frame 4 simple exterior walls you have 4 corners but your plugin generates 2 per wall giving you a total of 8. Im not sure how to overcome this. I imagine that the plugin would be used when two faces(or walls) meet at 90 degrees forming a corner 100% of the time. In your video unfortunately you only show one exterior and one interior wall framed. Thanks for your help!

    ReplyDelete
    Replies
    1. The video is for the original version. The current version fixes the corner duplication problem and offers several corner framing options. I would suggest downloading a new copy of the zip file. It contains depictions of the corners available with the latest version of the plugin.

      Please understand that I am not an architect or a carpenter and this plugin should not be used as a bases for construction just a visual representation.

      Delete
  29. Hi,

    What do I do after I download the "...rb" file? I cant find any instructions here or elsewhere on how to get this to work.

    ReplyDelete
    Replies
    1. Simply copy the .rb file to the Plugins or Extensions folder and restart Sketchup. If you are not sure where the Plugins or Extensions folder is, Open the Ruby Console Window and keyin
      Sketchup.find_support_file "" and press Enter.

      Delete
  30. Thanks so much for all of your work!!!!

    ReplyDelete
  31. This comment has been removed by the author.

    ReplyDelete
  32. Component Unlock _ReLock. I have a model with multiple components and component instances of this components. I need to move and rotate the entire model relative to the model origin.

    Could another script be written that would Unlock and Relock ALL components in the entire model or active selection?

    ReplyDelete
  33. Yes, I have been looking for this all day better now than never!

    deck flooring supplier in india

    ReplyDelete
  34. Hello Sir... this is really an awesome collection of various useful plugins...^^, tested all of it on sketchup 8... but some of it does not seem to work on 2014 even though it says 2014 compatibility... i really hope this list goes on for more ^^,...

    ReplyDelete
    Replies
    1. Which ones don't seem to work for you? I thought I had tested all for SU2014 but could have missed one.

      Delete
  35. scene finder doesn't seem to work in sketchup 16; it works in sketchup 15

    ReplyDelete
    Replies
    1. Unfortunately I don't have access to SU2016 but, if you could open the Ruby Console window and run the plugin to see what if any errors are occurring, I might be able to fix the problem.

      Delete
  36. no, my mistake, sorry...

    it works in sketchup 16 this morning; yesterday evening i must have been tired..

    only this in the ruby console:
    "filter=file
    scenes=file 14
    Error: #"

    but it is not a problem, it works perfectly
    thank you

    ReplyDelete
  37. just a suggestion: un button to re-initialize the scenes list, when a new model is loaded into sketchup...

    ReplyDelete
  38. Hey Mitch, just wanted to thank you for the Comp String plugin. It was exactly what I've been looking for for a while now.
    So, THANK YOU!!!
    You have saved hours of work!
    Great job!
    Rgds.

    /Hans.

    ReplyDelete
  39. This comment has been removed by a blog administrator.

    ReplyDelete
  40. This comment has been removed by a blog administrator.

    ReplyDelete
  41. This comment has been removed by a blog administrator.

    ReplyDelete
  42. can there be a tool to divide faces by a certain direction and certain number of divisions?? i am looking for a plugin to use to divide lot areas and still no luck...=(...

    ReplyDelete
  43. Yes, I think I have an old plugin that does just that. If you are a SketchUcation member, send me a Personal Message and I will PM it back to you.

    ReplyDelete
  44. thank you very much for your generosity sir...^^

    ReplyDelete
    Replies
    1. Using Notepad or any other pure text file editor, change line 85 from
      if (f.area-lot_size).abs < '1'.to_l**2
      to if (f.area-lot_size).abs < 1

      This will should create areas that are more equal.

      Delete
    2. I have uploaded a new version of Sub Divide. It allows you to choose the precision down to 1 SqMM. Usage:Plugins>SDM Tools>Face Tool>Sub Divide

      Delete
  45. http://www.kimprojects.com/wp-content/uploads/2015/06/DA-WITH-AM.gif i was hoping it does the same thing ^^,

    ReplyDelete
    Replies
    1. Junar, I have uploaded the plugin that I created for someone 3 years ago to divide an area into equal parts. It is nothing like what you hoped for but it is a start. Look for Sub Divide in the list.

      Delete
    2. thank you so much...^^,....it really helps a lot...

      Delete
    3. my remaining wish in life is that survey tool would be updated to support Arc Boundary Segments....^^, but that would be too much I guess,,

      Delete
    4. tried the plugin a while ago....and it works like a breeze...but there is a problem though... because i am using squaremeters... and the areas don't seem to be equal.. even though it was stated on the tutorial i still hope it can be addressed ^^,...by the way i bragged your plugins on a group of sketchup users in the philippines and they seem delighted hope you don't mind...^^,

      Delete
  46. Is floor generator can work with sketchup 2016

    ReplyDelete
  47. I just finished watching Mike Beganyi's Basecamp presentation on youtube and he had a "color by dimension" extension you did for him. I was wondering if that is available somewhere or if I need contact Mike directly. Thank you.

    Steve Tracy
    Big River Timberworks

    ReplyDelete
  48. You may contact Mike directly or email me using the link above and I will reply with the plugin attached.

    ReplyDelete
  49. This comment has been removed by a blog administrator.

    ReplyDelete
  50. Small simple and very useful plugins. One of the best coders. Thank you for all the work you share with us.

    ReplyDelete
  51. yes he is indeed the master of his craft...^^,

    ReplyDelete
  52. This comment has been removed by a blog administrator.

    ReplyDelete
  53. değişik şekillerde çatı oluşturma çalışması olacakmı

    ReplyDelete
  54. No plans at this time to do anything regarding roof creation.

    ReplyDelete
  55. Is there any way how to change rotation axis in Spin_It -> Spin View?

    ReplyDelete
    Replies
    1. Do you mean around the X or Y axis or some arbitrary one? Email me at pluginsbysdmitch@gmail.com and give a fuller explanation of what it is you would like.

      Delete
    2. I just do not understand, what the Spin View does and if there is any way how to change its behaviour. I need simple rotation:
      http://sketchucation.com/forums/viewtopic.php?f=79&t=67044&e=0
      Spin Object is fine for this purpose, but if I could get rotating view, it would be better.
      If I have let say cylinder around blue axis, Spin View changes camera distance from blue axis and I see cylinder running along some circle path. I would like If moving camera kept direction to one point on the blue axis (or better, any axis of selected object) and kept constant distance from it during flying around.

      Delete
  56. A new version has been uploaded. The original version just guessed at the "target". New version uses the center of selected object as the target.

    ReplyDelete
  57. New SpinIt lost ability to save png ... Bad result. And I have no copy of the old one :-(

    ReplyDelete
  58. Sorry about that. Please download and try again.

    ReplyDelete
  59. No change, identical file... :-(

    ReplyDelete
  60. Removed old file completely from google drive and uploaded a new copy of Spin It.rbz. Please try again.

    ReplyDelete
  61. Great! Now it is almost perfect :-).

    ReplyDelete
  62. Thanks Sir...
    this is help me so well :)

    ReplyDelete
  63. All I can say is a huge THANK YOU, most of these plugins should be in Sketchup by default!

    ReplyDelete